Add members to teamspace ​
POST/api/v1/workspaces/{workspace_slug}/teamspaces/{teamspace_id}/members/
Add members to a teamspace
Path Parameters ​
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
teamspace_id:requiredstringThe unique identifier of the teamspace.
Body Parameters ​
member_ids:optionalarrayMember ids.
Scopes ​
teamspaces.members:write
Add members to teamspace
bash
curl -X POST \
"https://api.plane.so/api/v1/workspaces/my-workspace/teamspaces/teamspace-uuid/members/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"member_ids": [
"550e8400-e29b-41d4-a716-446655440000"
]
}'python
import requests
response = requests.post(
"https://api.plane.so/api/v1/workspaces/my-workspace/teamspaces/teamspace-uuid/members/",
headers={"X-API-Key": "your-api-key"},
json={
"member_ids": [
"550e8400-e29b-41d4-a716-446655440000"
]
}
)
print(response.json())javascript
const response = await fetch("https://api.plane.so/api/v1/workspaces/my-workspace/teamspaces/teamspace-uuid/members/", {
method: "POST",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
member_ids: ["550e8400-e29b-41d4-a716-446655440000"],
}),
});
const data = await response.json();Response200
json
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"first_name": "John",
"last_name": "Doe",
"email": "user@example.com",
"avatar": "https://example.com/assets/example-image.png",
"avatar_url": "https://example.com/assets/example-image.png",
"display_name": "Example Name"
}
